PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## C-preprocessor

> declaration syntax

`#ELSE``( -- )``[FTH]` => `"FORTH"`

  The implementation of #ELSE is done in C for speed and being less error prone. Better use the ANSI-compatible `[IF]` `[ELSE]` `[THEN]` construct.

  immediate code = [p4_sh_else]

`#ENDIF``( -- )``[FTH]` => `"FORTH"`

  end of `#IF` `#IFDEF` `#IFNOTDEF` and `#ELSE` contructs

          (a dummy word that does actually nothing, but #ELSE may look for it)

  immediate code = [p4_sh_endif]

`#IF``( -- C: state-save-flag mfth-if-magic S: )``[FTH]` => `"FORTH"`

  prepares for a following `#IS_TRUE` or `#IS_FALSE`, does basically switch off compile-mode for the enclosed code. better use the ANSI style `[IF]` `[ELSE]` `[THEN]` construct.

  immediate code = [p4_sh_if]

`#IFDEF``( "word" -- )``[FTH]` => `"FORTH"`

  better use `[DEFINED] word [IF]` - the word `[IF]` is ANSI-conform.

  immediate code = [p4_sh_ifdef]

`#IFNDEF``` => `"FORTH"`

  (no description)

  immediate code = [p4_sh_ifnotdef]

`#IFNOTDEF``( "word" -- )``[FTH]` => `"FORTH"`

  better use `[DEFINED] word [NOT] [IF]` - the word `[IF]` and `[ELSE]` are ANSI-conform, while `#IFDEF` `#ELSE` are not.

  immediate code = [p4_sh_ifnotdef]

`#IS_TRUE``( C: state-save-flag mfth-if-magic S: test-flag -- )``[FTH]` => `"FORTH"`

  checks the condition on the `CS-STACK`. Pairs with `#IF` better use the ANSI style `[IF]` `[ELSE]` `[THEN]` construct.

  immediate code = [p4_sh_is_true]

`#IS_FALSE``( C: state-save-flag mfth-if-magic S: test-flag -- )``[FTH]` => `"FORTH"`

  checks the condition on the `CS-STACK`. Pairs with `#IF` better use the ANSI style `[IF]` `[ELSE]` `[THEN]` construct.

  immediate code = [p4_sh_is_false]

`#DEFINE``` => `"FORTH"`

  (no description)

  primitive code = [p4_sh_define]

`#PRAGMA``` => `"FORTH"`

  (no description)

  primitive code = [p4_sh_pragma]